namespace audit_test.Repository;

using MongoDB.Bson;
using MongoDB.Driver;
using NUnit.Framework;

[SetUpFixture]
[Category("Integration")]
public class IntegrationDbReal
{
    public static IMongoClient Client { get; private set; } = null!;
    public static IMongoDatabase Database { get; private set; } = null!;

    private const string ConnectionString = "mongodb://smacsuci:2(R*aQpu2r@julianrojas.xyz:27017/?authSource=admin";
    private const string DatabaseName = "AuditMeddisPlanUciPanel";

    [OneTimeSetUp]
    public void InitIntegrationTests()
    {
        // Configurar cliente y base de datos
        Client = new MongoClient(ConnectionString);
        Database = Client.GetDatabase(DatabaseName);
    }

    [OneTimeTearDown]
    public void TeardownIntegrationTests()
    {
        Client = null;
        Database = null;
    }
}
